/* Default Css Start Here */
body{
    color: #4c4c4c;
}
h1, h2, h3, h4, h5, h6{
    color: #333;
}
a{
    -webkit-transition: all .5s ease-in-out;
    -o-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
 /* input:-webkit-autofill {    
    -webkit-box-shadow: inset 0 0 0px 9999px white !important;
    box-shadow: inset 0 0 0px 9999px white !important;
}

input:-webkit-autofill:focus {
    -webkit-box-shadow: inset 0 0 0px 9999px white, 0 0 8px rgba(102, 175, 233, 0.6)  !important;
}  */

.btn{
    -webkit-transition: all .5s ease-in-out;
    -o-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}
.btn_theme{
    color: #fff;
    background-color: #1ca7ff;
    border-color: #1ca7ff;
    -webkit-transition: all .5s ease-in-out;
    -o-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
}

.btn_theme:hover, .btn_theme:focus  {
    color: #fff;
    background-color: #0b8ad6;
    border-color: #0b8ad6;
}
.btn_theme.active.focus, 
.btn_theme.active:focus, 
.btn_theme.active:hover, 
.btn_theme:active.focus, 
.btn_theme:active:focus, 
.btn_theme:active:hover{
    color: #fff;
    background-color: #0b8ad6;
    border-color: #0b8ad6;
}

.mb30{
    margin-bottom:30px;
}
.mb20{
    margin-bottom:20px;
}
.mt30{
    margin-top:30px;
}
.mt20{
    margin-top:20px;
}
.mb0{
    margin-bottom:0px;
}
.mt0{
    margin-top:0px;
}
.mr0{
    margin:0px;
}

.pd30{
    padding:30px;
}
.pd15{
    padding:15px;
}
.pd_t_30{
    padding-top:30px;
}
.pd_b_30{
    padding-bottom:30px;
}
.pd0{
    padding:0px;
}
.pd_t_0{
    padding-top:0px;
}
.pd_b_0{
    padding-bottom:0px;
}

.alert .close{
    color: #fff;
    opacity: 0.8;
    text-shadow: none;
    text-decoration: none;
    position: relative;
    top: -2px;
    -webkit-appearance: none;
    padding: 0;
    cursor: pointer;
    background: 0 0;
    border: 0;
}
.table{
    width: 100% !important;
}
/* Default Css End Here */

.login_logo{
    margin-bottom: 25px;
}
.login_logo img{
    max-width: 100%;
}
.msg{
    float: left;
    width: 100%;
}
#users_table_wrapper .row .col-sm-12{
    width: 100%;
    margin-bottom: 15px;
    overflow-y: hidden;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    min-height: .01%;
    overflow-x: auto;
}

#report_table_wrapper .row .col-sm-12{
    width: 100%;
    margin-bottom: 15px;
    overflow-y: hidden;
    -ms-overflow-style: -ms-autohiding-scrollbar;
    min-height: .01%;
    overflow-x: auto;
}

/* Pafination */
.pagination>li>a, .pagination>li>span{
    color: #fff;
}
.pagination>li>a:focus, 
.pagination>li>a:hover, 
.pagination>li>span:focus, 
.pagination>li>span:hover{
    color: #fff;
}
.pagination>.disabled>a, 
.pagination>.disabled>a:focus, 
.pagination>.disabled>a:hover, 
.pagination>.disabled>span,
.pagination>.disabled>span:focus, 
.pagination>.disabled>span:hover{
    color: #c1c1c1;
}
.dataTables_paginate a {
    background: #2a3f54 !important;
    border-color: #0a2b4c !important;
}
.pagination>.active>a, 
.pagination>.active>a:focus, 
.pagination>.active>a:hover, 
.pagination>.active>span, 
.pagination>.active>span:focus, 
.pagination>.active>span:hover{
    color: #fff;
    cursor: default;
    background-color: #3ec701 !important;
    border-color: #41d102 !important;
}



/* Checkbox/Radio css*/
.control {
    display: inline-block;
    position: relative;
    /* padding-left: 30px; */
    margin-bottom: 10px;
    cursor: pointer;
    font-size: 14px;
    padding: 2px 0px 0px 30px;
}
.control input {
  position: absolute;
  z-index: -1;
  opacity: 0;
}
.control__indicator {
  position: absolute;
  top: 2px;
  left: 0;
  height: 20px;
  width: 20px;
  background: #ccc;
}
.control--radio .control__indicator {
  border-radius: 50%;
}
.control:hover input ~ .control__indicator,
.control input:focus ~ .control__indicator {
  background: #ccc;
}
.control input:checked ~ .control__indicator {
  background: #2fb5bd;
}
.control:hover input:not([disabled]):checked ~ .control__indicator,
.control input:checked:focus ~ .control__indicator {
  background: #2fb5bd;
}
.control input:disabled ~ .control__indicator {
  background: #e6e6e6;
  opacity: 0.6;
  pointer-events: none;
}
.control__indicator:after {
  content: '';
  position: absolute;
  display: none;
}
.control input:checked ~ .control__indicator:after {
  display: block;
}
.control--checkbox .control__indicator:after {
    left: 3px;
    top: 3px;
    /* width: 3px; */
    /* height: 8px; */
    /* border: solid #fff; */
    /* border-width: 0 2px 2px 0; */
    /* transform: rotate(45deg); */
    content: "\f00c";
    font: normal normal normal 14px/1 FontAwesome;
    color: #fff;
}
.control--checkbox input:disabled ~ .control__indicator:after {
  border-color: #7b7b7b;
}
.control--radio .control__indicator:after {
  left: 7px;
  top: 7px;
  height: 6px;
  width: 6px;
  border-radius: 50%;
  background: #fff;
}
.control--radio input:disabled ~ .control__indicator:after {
  background: #7b7b7b;
}


/* Media Css Start Here */


@media (min-width:768px) and (max-width:991px) {
    .dataTables_filter{width: auto}
}

@media (max-width: 767px){
    .login_content{padding: 20px;}
    .table-responsive{border: none;}
    .dataTables_wrapper .row .col-sm-6 {width: 100%; padding: 0px 15px !important;}
    .dataTables_filter, .dataTables_length{ width: 100%; float: left; }

    .dataTables_wrapper .row .col-sm-5, .dataTables_wrapper .row .col-sm-7{width: 100%; padding: 0px 15px !important;}
    .dataTables_info, .dataTables_paginate { width: 100%; float: left; }
}
